Subject: Tunnel endpoints...

From: "Wadhwa, Sanjay" <[email-masked]>
Date: Tue, 16 May 2000 12:52:05 -0400

This is in reference to draft-hsmit-mpls-igp-spf-00.txt (SPF modification to
install
routes downstream of existing tunnels to use the tunnels) as applied to
OSPF.  
Consider the following :

                          Ia              Ib   L0
  Ra ------------ Rb --------------------- Rc -----------------------

Assume this to be the topology in an ospf area.
Ra is the calculating router. 
Rb and Rc have a numbered p2p link with Ia and Ib being their
respective interface ip addresses.
Let router-id of Rc be ip address of a loopback interface (L0) configured on
Rc.

Lets say Ra is a tunnel head-end and Rc is the tunnel tail-end.
Tunnel endpoint could be configured to be either Ib or the router-id
on Rc. While deriving nexthop for Rc, it is easier/cheaper to figure 
out the nexthop should be a tunnel if the tunnel terminates on the router-id

as opposed to interface Ib. 

One could make an assumption that tunnels (shortcuts) used for IGP routes
are configured 
to terminate on router-id of the tail-end router (which could possibly be an
ip address 
of an existing interface on the router) and not interface addresses (other
than the router-id) 
i.e. in ospf case say the router-id of the ABR as opposed to an interface
address.
Any thoughts on the operational validity of this assumption...

thanks
-Sanjay